- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Properties

# QGraphicsRotation Class Reference

Search for all occurrences

## Detailed Description

Definition at line 122 of file qgraphicstransform.h.

`#include <qgraphicstransform.h>`

Inheritance diagram for QGraphicsRotation:
[legend]

List of all members.

## Signals
void | originChanged ()
void | angleChanged ()
void | axisChanged ()
## Public Member Functions
| QGraphicsRotation (QObject *parent=0)
| ~QGraphicsRotation ()
QVector3D | origin () const
void | setOrigin (const QVector3D &point)
qreal | angle () const
void | setAngle (qreal)
QVector3D | axis () const
void | setAxis (const QVector3D &axis)
void | setAxis (Qt::Axis axis)
void | applyTo (QMatrix4x4 *matrix) const
## Properties
QVector3D | origin
qreal | angle
QVector3D | axis

## Constructor & Destructor Documentation

QGraphicsRotation | ( | QObject * | parent = `0` | ) |

~QGraphicsRotation | ( |  | ) |

## Member Function Documentation

QVector3D origin | ( |  | ) | const

Search for all occurrences

void setOrigin | ( | const QVector3D & | point | ) |

Search for all occurrences

qreal angle | ( |  | ) | const

Search for all occurrences

void setAngle | ( | qreal |  | ) |

Search for all occurrences

QVector3D axis | ( |  | ) | const

Search for all occurrences

void setAxis | ( | const QVector3D & | axis | ) |

Search for all occurrences

void setAxis | ( | Qt::Axis | axis | ) |

Search for all occurrences

void applyTo | ( | QMatrix4x4 * | matrix | ) | const `[virtual]`

Search for all occurrences

Implements QGraphicsTransform.

void originChanged | ( |  | ) | `[signal]`

Search for all occurrences

void angleChanged | ( |  | ) | `[signal]`

Search for all occurrences

void axisChanged | ( |  | ) | `[signal]`

Search for all occurrences

## Property Documentation

QVector3D origin `[read, write]`

Search for all occurrences

Definition at line 126 of file qgraphicstransform.h.

qreal angle `[read, write]`

Search for all occurrences

Definition at line 127 of file qgraphicstransform.h.

QVector3D axis `[read, write]`

Search for all occurrences

Definition at line 128 of file qgraphicstransform.h.

The documentation for this class was generated from the following file:

- QtGui/qgraphicstransform.h

QGraphicsRotation QGraphicsRotation QGraphicsRotation QGraphicsRotation QGraphicsRotation QGraphicsRotation QGraphicsRotation QGraphicsRotation QGraphicsRotation QGraphicsRotation
QGraphicsRotation QGraphicsRotation QGraphicsRotation QGraphicsRotation QGraphicsRotation QGraphicsRotation QGraphicsRotation QGraphicsRotation QGraphicsRotation QGraphicsRotation